Subject: [DNSOP] I-D Action: draft-ietf-dnsop-algorithm-update-03.txt

From: [email-masked]
Date: Tue, 23 Oct 2018 10:53:16 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Domain Name System Operations WG of the IETF.

        Title           : Algorithm Implementation Requirements and Usage Guidance for DNSSEC
        Authors         : Paul Wouters
                          Ondrej Sury
	Filename        : draft-ietf-dnsop-algorithm-update-03.txt
	Pages           : 11
	Date            : 2018-10-23

Abstract:
   The DNSSEC protocol makes use of various cryptographic algorithms in
   order to provide authentication of DNS data and proof of non-
   existence.  To ensure interoperability between DNS resolvers and DNS
   authoritative servers, it is necessary to specify a set of algorithm
   implementation requirements and usage guidelines to ensure that there
   is at least one algorithm that all implementations support.  This
   document defines the current algorithm implementation requirements
   and usage guidance for DNSSEC.  This document obsoletes [RFC6944].

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-dnsop-algorithm-update/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-dnsop-algorithm-update-03
https://datatracker.ietf.org/doc/html/draft-ietf-dnsop-algorithm-update-03

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-dnsop-algorithm-update-03

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Ondřej Surý <[email-masked]>
Date: Tue, 23 Oct 2018 19:55:03 +0200

Dear colleagues,

thank you for the valuable feedback during the WGLC.  I have improved the document
based on your comments and I think it’s good to go gold.

Ondrej
--
Ondřej Surý
[email-masked]

> On 23 Oct 2018, at 19:53, [email-masked] wrote:
> 
> 
> _______________________________________________
> DNSOP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnsop

---

From: Tim Wicinski <[email-masked]>
Date: Tue, 23 Oct 2018 20:34:20 +0200

Thanks Ondrej

The WGLC has completed and we were waiting on the authors on addressing all
comments and updating their document.
The chairs feel this is ready to proceed.

Tim

---

From: Dick Franks <[email-masked]>
Date: Tue, 23 Oct 2018 21:37:30 +0100

On Tue, 23 Oct 2018 at 19:34, Tim Wicinski <[email-masked]> wrote:

> The chairs feel this is ready to proceed.

Just spotted a fumble with document references in section 3.1 which will
need to be fixed before this is put to bed.

[3.1, para 6] reads:

   ECC-GOST (GOST R 34.11-94) has been superseded by GOST R 34.11-2012
   in [RFC6986 <https://tools.ietf.org/html/rfc6986>].  The GOST R
34.11-2012 hasn't been standardized for use
   in DNSSEC.

should read:

   ECC-GOST (GOST R 34.10-2001) has been superseded by GOST R 34.10-2012
   in [RFC7091 <https://tools.ietf.org/html/rfc7091>].  The GOST R
34.10-2012 hasn't been standardized for use
   in DNSSEC.

I apologise for not having noticed this earlier.

-- Dick

DNSOP mailing list

---

From: Ondřej Surý <[email-masked]>
Date: Tue, 23 Oct 2018 23:04:02 +0200

Dick, good catch!

Tim, do you want me to publish -04 addressing this or would it be better to fix this in RFC Editor queue.

The diff is simple:

https://github.com/oerdnj/draft-ietf-dnsop-algorithm-update/commit/7164f8a6ee4b210f5d83684156cb2905769f7fb4#diff-e9d2d55442440292530838192590a871

O.
--
Ondřej Surý
[email-masked]

> On 23 Oct 2018, at 22:37, Dick Franks <[email-masked]> wrote:
> 
> The WGLC has completed and we were waiting on the authors on addressing all comments and updating their document. 
> Just spotted a fumble with document references in section 3.1 which will need to be fixed before this is put to bed.
> 
> [3.1, para 6] reads:
>    in [
> RFC6986
> ].  The GOST R 34.11-2012 hasn't been standardized for use
>    in DNSSEC.
> 
> should read: 
>    in [
> RFC7091
> ].  The GOST R 34.10-2012 hasn't been standardized for use
>    in DNSSEC.
> 
>

---

From: Tim Wicinski <[email-masked]>
Date: Tue, 23 Oct 2018 23:04:54 +0200

Versions are cheap. spin a new one while I work on the shepherd write up

On Tue, Oct 23, 2018 at 11:04 PM Ondřej Surý <[email-masked]> wrote:

> > The WGLC has completed and we were waiting on the authors on addressing
> all comments and updating their document.